package logon;

import java.sql.*;


public class LogonDBBean
{
	private final String jdbcUrl = "jdbc:mysql://localhost:3306/project";
	private final String dbId = "project";
        private final String dbpass = "dnjsejrjftm";
				      
	
	public void insertMember(LogonDataBean member) throws Exception
	{
		Connection conn = null;
		PreparedStatement pstmt = null;

		try
		{
			Class.forName("org.gjt.mm.mysql.Driver");
			conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);
			
pstmt = conn.prepareStatement("insert into member(id,passwd,m_name,phone,email,to_date) values (?,?,?,?,?,?)");
			pstmt.setString(1,member.getId());
			pstmt.setString(2,member.getPasswd());
			pstmt.setString(3,member.getM_name());
			pstmt.setString(4,member.getPhone());
			pstmt.setString(5,member.getEmail());
			pstmt.setTimestamp(6,member.getTo_date());
			pstmt.executeUpdate();
		}
		catch(Exception ex)
		{
		ex.printStackTrace();
		}
		finally
		{
			if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
			if(conn != null) try { conn.close();} catch(SQLException ex){} 
		}
	}

	public int userCheck(String id, String passwd) throws Exception
	{
		Connection conn = null;
		PreparedStatement pstmt = null;
		ResultSet rs = null;
		String dbpasswd = "";
		int x = -1;

		try
		{
		 	Class.forName("org.gjt.mm.mysql.Driver");
	        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

			pstmt = conn.prepareStatement("select passwd from member where id = ?");
			pstmt.setString (1,id);
			rs = pstmt.executeQuery();

			if(rs.next())
			{
				dbpasswd = rs.getString("passwd");
				if(dbpasswd.equals(passwd))
				{
					x = 1;
				}
				else
				{
					x = 0;
				}
			}
			else
			{
				x = -1;
			}
		}
		catch(Exception ex)
		{
		   ex.printStackTrace();
		}
		finally
		{
		   if(rs != null) try { rs.close();} catch(SQLException ex){}
		   if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
		   if(conn != null) try { conn.close();} catch(SQLException ex){}
		}									 
		return x;
	}

	public int confirmId(String id)throws Exception
	{
		Connection conn = null;
		PreparedStatement pstmt = null;
		ResultSet rs = null;
	
		int x = -1;

		try
		{
			Class.forName("org.gjt.mm.mysql.Driver");
			conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

			pstmt = conn.prepareStatement("select id from member where id = ?");
			pstmt.setString (1,id);
			rs = pstmt.executeQuery();

			if(rs.next())
			{
				x = 1;
			}
			else
			{
			    x = -1;
			}
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
		finally
		{
		    if(rs != null) try { rs.close();} catch(SQLException ex){}
		    if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
		    if(conn != null) try { conn.close();} catch(SQLException ex){}
		}
		return x;
	}
	
	public LogonDataBean getMember(String id)throws Exception 
	{
        
		Connection conn = null;
        	PreparedStatement pstmt = null;
        	ResultSet rs = null;
        	LogonDataBean member=null;
        
	try 
	{
		
		Class.forName("org.gjt.mm.mysql.Driver");
 	        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);
           
           	pstmt = conn.prepareStatement("select * from member where id = ?");
            	pstmt.setString(1, id);
            	rs = pstmt.executeQuery();

            	if (rs.next()) {
                	member = new LogonDataBean();
                	member.setId(rs.getString("id"));
                	member.setPasswd(rs.getString("passwd"));
			member.setM_name(rs.getString("m_name"));
                	member.setEmail(rs.getString("email"));
			member.setPhone(rs.getString("phone"));
                	member.setTo_date(rs.getTimestamp("to_date"));
			member.setCheck_adm(rs.getInt("check_date"));     
				}
        } 
	catch(Exception ex) 
	{
            ex.printStackTrace();
        } 
	finally 
	{
            if (rs != null) try { rs.close(); } catch(SQLException ex) {}
            if (pstmt != null) try { pstmt.close(); } catch(SQLException ex) {}
            if (conn != null) try { conn.close(); } catch(SQLException ex) {}
        }
		return member;
    	}
    
    public void updateMember(LogonDataBean member)throws Exception 
	{
        Connection conn = null;
        PreparedStatement pstmt = null;
        
        try {
             Class.forName("org.gjt.mm.mysql.Driver");
             conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

            
            pstmt = conn.prepareStatement("update member set passwd=?,m_name=?,email=?,phone=? where id=?");
            pstmt.setString(1, member.getPasswd());
            pstmt.setString(2, member.getM_name());
            pstmt.setString(3, member.getEmail());
            pstmt.setString(4, member.getPhone());
            pstmt.setString(5, member.getId());
            
            pstmt.executeUpdate();
        } catch(Exception ex) {
            ex.printStackTrace();
        } finally {
            if (pstmt != null) try { pstmt.close(); } catch(SQLException ex) {}
            if (conn != null) try { conn.close(); } catch(SQLException ex) {}
        }
    }
    
    public int deleteMember(String id, String passwd)
    throws Exception {
        Connection conn = null;
        PreparedStatement pstmt = null;
        ResultSet rs= null;
        String dbpasswd="";
        int x=-1;
        try {
		
		 Class.forName("org.gjt.mm.mysql.Driver");
                 conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);


            pstmt = conn.prepareStatement("select passwd from member where id = ?");
            pstmt.setString(1, id);
            rs = pstmt.executeQuery();
            
			if(rs.next())
				{
				dbpasswd= rs.getString("passwd"); 
				if(dbpasswd.equals(passwd))
				{
				pstmt = conn.prepareStatement("delete from member where id=?");
                    		pstmt.setString(1, id);
                    		pstmt.executeUpdate();
					x= 1; 
				}else
					x= 0; 
			}
        } catch(Exception ex) {
            ex.printStackTrace();
        } finally {
            if (rs != null) try { rs.close(); } catch(SQLException ex) {}
            if (pstmt != null) try { pstmt.close(); } catch(SQLException ex) {}
            if (conn != null) try { conn.close(); } catch(SQLException ex) {}
        }
		return x;
    }
	
	
    public int IdCheck(String id) throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
                int x = 0;
                
		try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                	conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);
                        pstmt = conn.prepareStatement("select check_adm from member where id = ?");
                        pstmt.setString (1,id);
                        rs = pstmt.executeQuery();
			rs.next();
			int check = rs.getInt("check_adm");
			if(check==1)
                                x = 1;
                }
                catch(Exception ex)
                {
                   ex.printStackTrace();
                }
                finally
                {
                   if(rs != null) try { rs.close();} catch(SQLException ex){}
                   if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                   if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
                return x;
        }
	
	//passwd check	
	public int checkMember(String id, String passwd)throws Exception 
	{
        Connection conn = null;
        PreparedStatement pstmt = null;
        ResultSet rs= null;
        String dbpasswd="";
        int x=-1;
        try {

                 Class.forName("org.gjt.mm.mysql.Driver");
                 conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);


            pstmt = conn.prepareStatement("select passwd from member where id = ?");
            pstmt.setString(1, id);
            rs = pstmt.executeQuery();

                        if(rs.next())
                                {
                                dbpasswd= rs.getString("passwd");
                                if(dbpasswd.equals(passwd))
                                {
                                        x= 1;
                                }else
                                        x= 0;
                        }
        } catch(Exception ex) {
            ex.printStackTrace();
        } finally {
            if (rs != null) try { rs.close(); } catch(SQLException ex) {}
            if (pstmt != null) try { pstmt.close(); } catch(SQLException ex) {}
            if (conn != null) try { conn.close(); } catch(SQLException ex) {}
        }
                return x;
    }
	
    	//id search
    	public String idsearch(String name,String phone)throws Exception
        {

                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
		String id = null;	
        try
        {

                Class.forName("org.gjt.mm.mysql.Driver");
                conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                pstmt = conn.prepareStatement("select id  from member where m_name = ? and phone = ? ");
                pstmt.setString(1, name);
		pstmt.setString(2, phone);
                rs = pstmt.executeQuery();

                if (rs.next()) {
                      
                         id  = rs.getString("id");
                                }
        }
        catch(Exception ex)
        {
            ex.printStackTrace();
        }
        finally
        {
            if (rs != null) try { rs.close(); } catch(SQLException ex) {}
            if (pstmt != null) try { pstmt.close(); } catch(SQLException ex) {}
            if (conn != null) try { conn.close(); } catch(SQLException ex) {}
        }
                return id;
        }

     	//passwd search
	public LogonDataBean passwdsearch(String id)throws Exception
        {

                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
                LogonDataBean member=null;

        try
        {

                Class.forName("org.gjt.mm.mysql.Driver");
                conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                pstmt = conn.prepareStatement("select passwd from member where id = ?");
                pstmt.setString(1, id);
                rs = pstmt.executeQuery();

                if (rs.next()) {
                        member = new LogonDataBean();
                        member.setPasswd(rs.getString("passwd"));
                                }
        }
        catch(Exception ex)
        {
            ex.printStackTrace();
        }
        finally
        {
            if (rs != null) try { rs.close(); } catch(SQLException ex) {}
            if (pstmt != null) try { pstmt.close(); } catch(SQLException ex) {}
            if (conn != null) try { conn.close(); } catch(SQLException ex) {}
        }
                return member;
        }

}




