package server;

import java.sql.*;
import java.util.*;

public class serverDBBean
{
	private final String jdbcUrl = "jdbc:mysql://localhost:3306/project";
	private final String dbId = "project";
        private final String dbpass = "dnjsejrjftm";
	
	public void insertMember(serverDataBean member) throws Exception
	{
		Connection conn = null;
		PreparedStatement pstmt = null;

		try
		{
			Class.forName("org.gjt.mm.mysql.Driver");
			conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);
			
pstmt = conn.prepareStatement("insert into server(ip,status_check,rpass,name) values (?,?,?,?)");

			pstmt.setString(1,member.getIp());
			pstmt.setInt(2,member.getStatus_check());
			pstmt.setString(3,member.getRpass());
			pstmt.setString(4,member.getName());
	
			pstmt.executeUpdate();
		}
		catch(Exception ex)
		{
		ex.printStackTrace();
		}
		finally
		{
			if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
			if(conn != null) try { conn.close();} catch(SQLException ex){} 
		}
	}
	
	public int getArticleCount(String id) throws Exception
	{	
		Connection conn = null;
                PreparedStatement pstmt = null;
		ResultSet rs = null;

		int x = 0;
		
		try
		{
			Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

			pstmt = conn.prepareStatement("select count(*)from member,server,sm_info where sm_info.s_num = server.num and sm_info.m_id = ?");
			pstmt.setString(1,id);
			rs = pstmt.executeQuery();

			if(rs.next())
			{
				x = rs.getInt(1);
			}
		}
		
		catch(Exception ex)
                {
                ex.printStackTrace();
                }
		
                finally
                {
			if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
		return x;
	}
	
	public List getArticles(int start, int end, String id)throws Exception
	{
		Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
		List<serverDataBean> articleList = null;

		 try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

          pstmt = conn.prepareStatement("select server.num,server.ip,server.status_check,server.rpass,server.name from member,server,sm_info where sm_info.s_num = server.num and sm_info.m_id = ? and  member.id = ? order by sm_num asc limit ?,? ");
			pstmt.setString(1, id);
			pstmt.setString(2,id);
			pstmt.setInt(3, start-1);
			pstmt.setInt(4, end);
                        rs = pstmt.executeQuery();
			
			if(rs.next())
			{
				articleList = new ArrayList<serverDataBean>(end);
				do
				{
					serverDataBean article = new serverDataBean();
					article.setNum(rs.getInt("num"));
					article.setIp(rs.getString("ip"));
					article.setStatus_check(rs.getInt("status_check"));
					article.setRpass(rs.getString("rpass"));
					article.setName(rs.getString("name"));
	
					articleList.add(article);	
				
				}while(rs.next());
			}
		}

		catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }

		return articleList;	
		
	}	

	public serverDataBean getArticle(int num)throws Exception
	{
		Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
		serverDataBean article = null;

		try
		{
			Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                        pstmt = conn.prepareStatement("select * from server where num = ?");
			pstmt.setInt(1,num);
			rs = pstmt.executeQuery();
			
			if(rs.next())
			{	
				article = new serverDataBean();
				article.setNum(rs.getInt("num"));
                                article.setIp(rs.getString("ip"));
                                article.setStatus_check(rs.getInt("status_check"));
                                article.setRpass(rs.getString("rpass"));
                                article.setName(rs.getString("name"));
                                article.setUname(rs.getString("uname"));
			}
		}

		catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
		return article;
	}

	public serverDataBean updateGetArticle(int num)throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
                serverDataBean article = null;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                        pstmt = conn.prepareStatement("select * from server where num = ?");
                        pstmt.setInt(1,num);
                        rs = pstmt.executeQuery();

                        if(rs.next())
                        {
                                article = new serverDataBean();
                                article.setNum(rs.getInt("num"));
                                article.setIp(rs.getString("ip"));
                                article.setStatus_check(rs.getInt("status_check"));
                                article.setRpass(rs.getString("rpass"));
                                article.setName(rs.getString("name"));
                                article.setUname(rs.getString("uname"));
                        }
                }

                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
			if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
                return article;
        }

	public void  updateArticle(serverDataBean article)throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

pstmt = conn.prepareStatement("update server set ip=?,status_check=?,rpass=?,name=? where num=?");
		pstmt.setString(1,article.getIp());
		pstmt.setInt(2,article.getStatus_check());
		pstmt.setString(3,article.getRpass());
		pstmt.setString(4,article.getName());
		pstmt.setInt(5,article.getNum());
		pstmt.executeUpdate();
                }
		catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
        }
	
	public void deleteArticle(int num)throws Exception
	{
		Connection conn = null;
		PreparedStatement pstmt = null;

		try
		{
			Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);
			pstmt = conn.prepareStatement("delete from server where num=?");
			pstmt.setInt(1,num);
			pstmt.executeUpdate();
		}
                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
        }
	
	
	//sm info insert
	public void insertSM(int num, String id) throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                pstmt = conn.prepareStatement("insert into sm_info(m_id,s_num) values (?,?)");
                        pstmt.setString(1,id);
                        pstmt.setInt(2,num);
                        pstmt.executeUpdate();
                }
                catch(Exception ex)
                {
                ex.printStackTrace();
                }
                finally
                {
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
        }
		
	 //server num search
        public int Ssearch(String ip) throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
		ResultSet rs = null;
 		int num = 0;
                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                pstmt = conn.prepareStatement("select num from server where ip = ?");
                        pstmt.setString(1,ip);
                      
                        rs = pstmt.executeQuery();

                        if(rs.next())
                        {
                             num = rs.getInt("num");
                        }

                }
                catch(Exception ex)
                {
                ex.printStackTrace();
                }
                finally
                {
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
		return num;
        }
	
	//service count
	public int ServiceCount() throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;

                int x = 0;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                        pstmt = conn.prepareStatement("select count(*) from service");
                        rs = pstmt.executeQuery();

                        if(rs.next())
                        {
                                x = rs.getInt(1);
                        }
                }

                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
                return x;
        }
	
	//service list
	public List ServiceArticles(int start, int end)throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
                List<serverDataBean> articleList = null;

                 try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

          pstmt = conn.prepareStatement("select num, name from service order by num asc limit ?,?");
                        pstmt.setInt(1, start-1);
                        pstmt.setInt(2, end);
                        rs = pstmt.executeQuery();

                        if(rs.next())
                        {
                                articleList = new ArrayList<serverDataBean>(end);
                                do
                                {
                                        serverDataBean article = new serverDataBean();
                                        article.setNum(rs.getInt("num"));
                                        article.setName(rs.getString("name"));
                                        articleList.add(article);

                                }while(rs.next());
                        }
                }

                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }

                return articleList;
	}

	//sevice insert 

        public void insertService(String checks, int ip) throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                pstmt = conn.prepareStatement("insert into ss_info(service,server) values (?,?)");
                        pstmt.setString(1,checks);
                        pstmt.setInt(2,ip);
                        pstmt.executeUpdate();
                }
                catch(Exception ex)
                {
                ex.printStackTrace();
                }
                finally
                {
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
        }

	//server sevice count
	
	public int ServiceSearchCount(String num) throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;

                int x = 0;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

                        pstmt = conn.prepareStatement("select count(distinct service)  service from ss_info where server = ?");
                        pstmt.setString(1,num);
			rs = pstmt.executeQuery();

                        if(rs.next())
                        {
                                x = rs.getInt(1);
                        }
                }

                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
                return x;
        }
	
	//ServiceSearch
	
        public List ServiceSearch(String num)throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
                List<serverDataBean> articleList = null;

                 try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);

          pstmt = conn.prepareStatement("select distinct service from ss_info where server = ?");
                        pstmt.setString(1, num);
                        rs = pstmt.executeQuery();

                        if(rs.next())
                        {
                                articleList = new ArrayList<serverDataBean>();
                                do
                                {
                                        serverDataBean article = new serverDataBean();
                                        article.setNum(rs.getInt("service"));
                                        articleList.add(article);

                                }while(rs.next());
                        }
                }

                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(rs != null) try { rs.close();} catch(SQLException ex){}
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }

                return articleList;
        }

	//service delete
	public void serviceDelete(String num,String snum)throws Exception
        {
                Connection conn = null;
                PreparedStatement pstmt = null;

                try
                {
                        Class.forName("org.gjt.mm.mysql.Driver");
                        conn = DriverManager.getConnection(jdbcUrl,dbId,dbpass);
                        pstmt = conn.prepareStatement("delete from ss_info where service=? and server = ? ");
                        pstmt.setString(1,snum);
			pstmt.setString(2,num);
                        pstmt.executeUpdate();
                }
                catch(Exception ex)
                {
                ex.printStackTrace();
                }

                finally
                {
                        if(pstmt != null) try { pstmt.close();} catch(SQLException ex){}
                        if(conn != null) try { conn.close();} catch(SQLException ex){}
                }
        }
	
	

	
}



